<?php


namespace App\Exceptions;


use Throwable;

class Exception extends \Exception
{
        protected $type;
        public function __construct($message = "",$type='error', $code = 0, Throwable $previous = null)
        {
            parent::__construct($message, $code, $previous);
            $this->type=$type;
        }
}
